Name: frozen-bubble
Version: 2.1.0
Release: alt2

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: Frozen Bubble arcade game
License: GPL
Group: Games/Arcade

Url: http://www.frozen-bubble.org/
Source: http://www.frozen-bubble.org/data/%name-%version.tar.bz2

# Automatically added by buildreq on Sat Feb 05 2005 (-bi)
BuildRequires: libSDL-devel libSDL_mixer-devel perl-SDL perl-devel
BuildRequires: glib2-devel libSDL_pango-devel perl-Locale-gettext

%description
Colorful 3D rendered penguin animations, 100 levels of 1p game,
hours and hours of 2p game, nights and nights of 2p/3p/4p/5p game
over LAN or Internet, a level-editor, 3 professional quality
digital soundtracks, 15 stereo sound effects, 8 unique graphical
transition effects, 8 unique logo eye-candies.

%prep
%setup -q

%build
cd c_stuff
%perl_vendor_build MAKEFILE=Makefile
sed -i s,@DATADIR@,%_datadir,g blib/lib/fb_stuff.pm
sed -i s,@LIBDIR@,%_libdir,g blib/lib/fb_stuff.pm
rm -fv blib/lib/build_fbsyms

%install
mkdir -p %buildroot%_bindir
install -p -m755 %name %name-editor %buildroot%_bindir

mkdir -p %buildroot%_man6dir
install -p -m644 doc/%name.6 doc/%name-editor.6 %buildroot%_man6dir

mkdir -p %buildroot%_datadir/%name
cp -a data gfx snd %buildroot%_datadir/%name
rm -fv %buildroot%_datadir/%name/gfx/*/{Makefile,create.pl}

#%__mkdir_p %buildroot%_menudir
#cat <<EOF >%buildroot%_menudir/%name
#?package(%name):command="%_bindir/%name" icon="%name.png" \
#  needs="X11" section="Amusement/Arcade" title="Frozen Bubble" \
#  longtitle="%summary"
#EOF

mkdir -p %buildroot%_desktopdir

cat <<EOF >%buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Version=2.0.0
Type=Application
Encoding=UTF-8
Name=Frozen Bubble
TryExec=frozen-bubble
Exec=frozen-bubble
Categories=Application;Game;ArcadeGame
Icon=/usr/share/icons/hicolor/48x48/apps/frozen-bubble.png
Comment=Frozen Bubble Arcade Game
EOF

install -pD -m644 icons/%name-icon-16x16.png %buildroot%_miconsdir/%name.png
install -pD -m644 icons/%name-icon-32x32.png %buildroot%_iconsdir/%name.png
install -pD -m644 icons/%name-icon-48x48.png %buildroot%_liconsdir/%name.png

cd c_stuff
%perl_vendor_install

%post
%update_menus

%postun
%clean_menus

%files
%doc README AUTHORS TIPS NEWS
%_bindir/%name
%_bindir/%name-editor
%_man6dir/%name.6*
%_man6dir/%name-editor.6*
%dir %_datadir/%name
%_datadir/%name/data
%_datadir/%name/gfx
%_datadir/%name/snd
%_desktopdir/%name.desktop
#%_menudir/%name
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png
%perl_vendor_archlib/*.pm
%perl_vendor_autolib/fb_c_stuff

%changelog
* Thu Dec 14 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.1.0-alt2
- Fixed .desktop file.

* Tue Nov 28 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.1.0-alt1
- 2.1.0 release.

* Sat Nov 18 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0.0-alt3
- Fixed @LIBDIR@ in fb_stuff.pm.

* Thu Nov 09 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0.0-alt2
- Packager changed.
- Cleaned up spec file a bit.
- Added freedesktop menu.

* Mon Oct 30 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.0.0-alt1
- 2.0.0 release.
- Removed patch for SDL_Perl-2.x.
- Changed Source URL.
- Altered BuildRequires.
- New Description.

* Fri Feb 04 2005 Alexey Tourbin <at@altlinux.ru> 1.0.0-alt5
- ported to SDL_Perl-2.x API
- abandoned Makefile, reworked specfile

* Fri May 07 2004 Alexey Voinov <voins@altlinux.ru> 1.0.0-alt4
- removed gimp-perl from buildreqs
- little spec cleaun up
- man pages included

* Tue Oct 14 2003 Alexey Tourbin <at@altlinux.ru> 1.0.0-alt3
- unnecessary files removed along with dependencies (#3159)

* Tue Sep 30 2003 Alexey Tourbin <at@altlinux.ru> 1.0.0-alt2
- fixed build (Makefile workarounds)
- specfile cleanup

* Mon Feb 24 2003 Rider <rider@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Thu Jan 09 2003 Konstantin Volckov <goldhead@altlinux.ru> 0.9.3-alt4
- Fixed menu file

* Thu Oct 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.3-alt3
- Rebuilt with new perl
- Fixed icons permissions

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.3-alt2
- Rebuilt in new environment

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.3-alt1
- 0.9.3
- Remove internal libSDL_mixer
- Remove fixed packager

* Tue Mar 05 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9.2-alt1
- Initial build for ALT Linux

* Thu Feb  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-1mdk
- new version

* Wed Feb  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- first mdk rpm

